fix: CI: update python versions

because bullseye is the new Debian stable, has by default python3.9
amd tests using buster dependencies fail.

Closes #40099.
14 jobs for m13_40099_bullseye in 30 minutes and 55 seconds (queued for 1 minute and 10 seconds)
latest
Status Name Job ID Coverage
  Test
passed python310 #33388

00:10:52

passed python36 #33380

00:08:45

passed python37 #33390

00:07:55

passed python38 #33382

00:08:27

passed python39tor035 #33383

00:09:20

passed python39tor045 #33384

00:09:05

passed python39tor046 #33385

00:09:30

passed python39tormaster #33425

00:08:16

passed python39torstable #33387

00:08:55

failed python37 #33381

00:06:01

failed python39tormaster #33391

00:08:03

failed python39tormaster #33386

00:06:18

 
  Deploy
passed pages #33389

00:00:56

passed pages:deploy

00:00:00